// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             (unknown)
// source: proto/fees/fees.proto

package fees

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// FeesServiceClient is the client API for FeesService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type FeesServiceClient interface {
	GetFees(ctx context.Context, in *FeesRequest, opts ...grpc.CallOption) (*Fees, error)
}

type feesServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewFeesServiceClient(cc grpc.ClientConnInterface) FeesServiceClient {
	return &feesServiceClient{cc}
}

func (c *feesServiceClient) GetFees(ctx context.Context, in *FeesRequest, opts ...grpc.CallOption) (*Fees, error) {
	out := new(Fees)
	err := c.cc.Invoke(ctx, "/fees.FeesService/GetFees", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// FeesServiceServer is the server API for FeesService service.
// All implementations must embed UnimplementedFeesServiceServer
// for forward compatibility
type FeesServiceServer interface {
	GetFees(context.Context, *FeesRequest) (*Fees, error)
	mustEmbedUnimplementedFeesServiceServer()
}

// UnimplementedFeesServiceServer must be embedded to have forward compatible implementations.
type UnimplementedFeesServiceServer struct {
}

func (UnimplementedFeesServiceServer) GetFees(context.Context, *FeesRequest) (*Fees, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetFees not implemented")
}
func (UnimplementedFeesServiceServer) mustEmbedUnimplementedFeesServiceServer() {}

// UnsafeFeesServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to FeesServiceServer will
// result in compilation errors.
type UnsafeFeesServiceServer interface {
	mustEmbedUnimplementedFeesServiceServer()
}

func RegisterFeesServiceServer(s grpc.ServiceRegistrar, srv FeesServiceServer) {
	s.RegisterService(&FeesService_ServiceDesc, srv)
}

func _FeesService_GetFees_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FeesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FeesServiceServer).GetFees(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fees.FeesService/GetFees",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FeesServiceServer).GetFees(ctx, req.(*FeesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// FeesService_ServiceDesc is the grpc.ServiceDesc for FeesService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var FeesService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fees.FeesService",
	HandlerType: (*FeesServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetFees",
			Handler:    _FeesService_GetFees_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "proto/fees/fees.proto",
}
